// InputController_HSL.h: interface for the CInputController_HSL class.
//
//////////////////////////////////////////////////////////////////////

#pragma once

#include "InputControllerBase.h"

class CAdlinkCommon_HSL;

class CInputController_HSL : public CInputControllerBase
{
public:
    CInputController_HSL();
    virtual ~CInputController_HSL();

    // method to initialise the input controller card
    int InitCard(int nHardwareIniTypeID, int nHardwareIniTypeCardNo, int* nPhysicalCardID) override;

    // method to close the input controller card
    int CloseCard(int nPhysicalCardID) override;

private:
    std::unique_ptr<CAdlinkCommon_HSL> m_pCommon;
};
